summaryrefslogtreecommitdiffstats
path: root/desktop/xfce4-clipman-plugin/xfce4-clipman-plugin.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'desktop/xfce4-clipman-plugin/xfce4-clipman-plugin.SlackBuild')
-rw-r--r--desktop/xfce4-clipman-plugin/xfce4-clipman-plugin.SlackBuild20
1 files changed, 13 insertions, 7 deletions
diff --git a/desktop/xfce4-clipman-plugin/xfce4-clipman-plugin.SlackBuild b/desktop/xfce4-clipman-plugin/xfce4-clipman-plugin.SlackBuild
index c863e0fab6..b5a093e97e 100644
--- a/desktop/xfce4-clipman-plugin/xfce4-clipman-plugin.SlackBuild
+++ b/desktop/xfce4-clipman-plugin/xfce4-clipman-plugin.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for xfce4-clipman-plugin
-# Copyright 2006-2007 Robby Workman (http://rlworkman.net)
+# Copyright 2006-2009 Robby Workman Northport, Alabama, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=xfce4-clipman-plugin
-VERSION=0.8.0
+VERSION=0.9.0
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -37,6 +37,8 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
set -e
@@ -60,19 +62,23 @@ CXXFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--enable-shared=yes \
--enable-static=no \
- --enable-debug=no
+ --enable-debug=no \
+ --build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS TODO \
- $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install